Subject: MAX7301 GPIO: Do not force SPI speed when using OF Platform

From: [email-masked] (Roland Stigge)
Date: Wed, 07 Aug 2013 14:46:03 +0200

Hi,

On 08/07/2013 02:35 PM, leroy christophe wrote:
>>> spi-bits = <16>;
>> I tried this, both in the device's and in the controller's node. But it
>> didn't work. However, as described, I didn't expect it to work, because
>> there is no code present to handle "spi-bits". At least not in 3.10.
>>
>> Am I missing something? Otherwise, maybe something of the tree that you
>> are talking about is missing from mainline still?
>>
>>
> Strange. I'm using 3.8.13
> I have it handled in drivers/spi/spi.c in function
> of_register_spi_devices()

3.8.13's (as well as newer ones') drivers/spi/spi.c doesn't handle
"spi-bits", see also

https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/tree/drivers/spi/spi.c?h=linux-3.8.y

Maybe you have additional patches that are not in mainline, yet?

Thanks,

Roland